Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Inlet::EnableStateChangedEvent Struct Reference

Event: Inlet has been enabled or disabled. More...

`import <Inlet.idl;`

Inheritance diagram for pdumodel::Inlet::EnableStateChangedEvent:

## Public Attributes
boolean | enabled
| New enable state.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Inlet has been enabled or disabled.

Definition at line 77 of file Inlet.idl.

## Member Data Documentation

## ◆ enabled

boolean pdumodel::Inlet::EnableStateChangedEvent::enabled

New enable state.

Definition at line 78 of file Inlet.idl.

The documentation for this struct was generated from the following file:

- Inlet.idl